Asset Part Resource¶
Get Asset Part¶
HTTP Request
GET /api/assetParts/{id}
📋 Description: Retrieves detailed information about a specific asset part identified by the provided ID, enabling users to access essential data for asset management and decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Update Asset Part¶
HTTP Request
PUT /api/assetParts/{id}
📋 Description: Updates the details of a specific asset part identified by its unique ID, enabling accurate management and maintenance of asset inventories.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated asset part details, including specifications, quantities, and relevant metadata for effective asset management. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Delete Asset Part¶
HTTP Request
DELETE /api/assetParts/{id}
📋 Description: Deletes a specific asset part identified by its unique ID, ensuring the removal of obsolete or unnecessary components from the asset management system.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Update Asset Part Quantity¶
HTTP Request
PUT /api/assetParts/updateQuantity/{workOrderId}
📋 Description: Updates the quantity of asset parts associated with a specified work order, ensuring accurate inventory management and resource allocation within operational workflows.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
workOrderId |
path |
integer(int64) |
true |
Unique identifier for the work order |
isTemplate |
query |
boolean |
false |
Whether the resource is template |
body |
body |
true |
Request body containing the updated quantity information for asset parts associated with the specified work order, ensuring accurate inventory management and operational efficiency. |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
isTemplate |
|
query |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Get All Asset Parts¶
HTTP Request
GET /api/assetParts
📋 Description: Retrieves a list of asset parts, providing users with essential details to manage inventory and support operational efficiency.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdBy": "string",
5 "createdAt": "2019-08-24T14:15:22Z",
6 "displayId": "string",
7 "name": "string",
8 "description": "string",
9 "imageId": 0,
10 "premiseId": 0,
11 "premiseDisplayId": "string",
12 "premiseDto": {
13 "id": 0,
14 "createdBy": "string",
15 "createdAt": "2019-08-24T14:15:22Z",
16 "displayId": "string",
17 "premiseName": "string",
18 "description": "string",
19 "address": "string",
20 "internalTeamNames": [
21 "string"
22 ],
23 "internalTeamIds": [
24 0
25 ],
26 "premiseAvailable": true,
27 "premiseFromNrm": true,
28 "nlmId": 0,
29 "nlmDisplayId": "string",
30 "nlmUsed": true,
31 "manager": 0,
32 "managerName": "string",
33 "imageId": 0,
34 "area": "string",
35 "modifiedAt": "2019-08-24T14:15:22Z"
36 },
37 "premiseFromNrm": true,
38 "model": "string",
39 "unitCost": "67.08",
40 "serialNumber": "string",
41 "qrCode": "string",
42 "quantityOnHand": 0,
43 "reOrderPoint": 0,
44 "size": "string",
45 "color": "string",
46 "weight": "24.08",
47 "length": "11.5",
48 "width": "16.9",
49 "height": "12.3",
50 "materialType": "string",
51 "assetPartType": "string",
52 "assetPartTypeId": 0,
53 "assetPartManufacturer": {
54 "id": 0,
55 "createdBy": "string",
56 "createdAt": "2019-08-24T14:15:22Z",
57 "name": "string",
58 "assetParts": [
59 {}
60 ]
61 },
62 "variableQuantity": 0,
63 "assetPartAvailable": true,
64 "owner": 0,
65 "ownerDto": {
66 "id": 0,
67 "createdBy": "string",
68 "createdAt": "2019-08-24T14:15:22Z",
69 "userName": "string",
70 "firstName": "string",
71 "lastName": "string",
72 "email": "string",
73 "roleIds": [
74 {
75 "id": 0,
76 "createdBy": "string",
77 "createdAt": "2019-08-24T14:15:22Z",
78 "modifiedBy": "string",
79 "modifiedAt": "2019-08-24T14:15:22Z",
80 "roleName": "string",
81 "entity": "string",
82 "new": true
83 }
84 ],
85 "internalTeamNames": [
86 "string"
87 ],
88 "internalTeamIds": [
89 0
90 ],
91 "internalTeamDisplayIds": [
92 "string"
93 ],
94 "premiseIds": [
95 0
96 ],
97 "premiseNames": [
98 "string"
99 ],
100 "userAvailable": true,
101 "temporaryWorkload": 0,
102 "preferredCultureCode": "string"
103 },
104 "ownerUserName": "string",
105 "modifiedAt": "2019-08-24T14:15:22Z",
106 "isPartsSufficient": true
107 }
108]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a component of an asset, detailing its specifications and associated metadata for effective asset management and tracking within the enterprise.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdBy |
string |
false |
none |
Username of who created this resource |
» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
» displayId |
string |
false |
none |
Unique identifier for the display |
» name |
string |
true |
none |
Name of the resource |
» description |
string |
false |
none |
Description of the resource |
» imageId |
integer(int64) |
false |
none |
Unique identifier for the image |
» premiseId |
integer(int64) |
false |
none |
Unique identifier for the premise |
» premiseDisplayId |
string |
false |
none |
Unique identifier for the premise display |
» premiseDto |
false |
none |
Data transfer object representing a premise, encapsulating essential details such as location, type, and associated attributes to facilitate effective decision-making in real estate and operational planning. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» premiseName |
string |
false |
none |
Name of the premise |
»» description |
string |
false |
none |
Description of the resource |
»» address |
string |
true |
none |
Represents the physical location associated with the premise, essential for logistics and service delivery. |
»» internalTeamNames |
[string] |
false |
none |
List of names representing the internal teams associated with the premise, facilitating streamlined collaboration and resource allocation within the organization. |
»» internalTeamIds |
[integer] |
false |
none |
List of unique identifiers representing the internal teams associated with the premise, facilitating streamlined collaboration and resource allocation. |
»» premiseAvailable |
boolean |
false |
none |
Indicates whether the premise is available for use within the specified context. |
»» premiseFromNrm |
boolean |
false |
none |
Indicates whether the premise is sourced from the National Resource Management (NRM) framework, facilitating compliance and reporting within environmental management processes. |
»» nlmId |
integer(int64) |
false |
none |
Unique identifier for the nlm |
»» nlmDisplayId |
string |
false |
none |
Unique identifier for the nlm display |
»» nlmUsed |
boolean |
false |
none |
Indicates whether the National Labor Market (NLM) resources have been utilized in the premise evaluation process. |
»» manager |
integer(int64) |
false |
none |
Unique identifier for the manager associated with the premise, facilitating effective organizational hierarchy and resource management. |
»» managerName |
string |
false |
none |
Name of the manager |
»» imageId |
integer(int64) |
false |
none |
Unique identifier for the image |
»» area |
string |
false |
none |
Represents the geographic area associated with the premise, providing essential context for location-based services and analysis. |
»» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
» premiseFromNrm |
boolean |
false |
none |
Indicates whether the asset part originates from the National Resource Management (NRM) framework, facilitating compliance and reporting requirements. |
» model |
string |
false |
none |
Represents the specific model associated with the asset part, facilitating accurate identification and management within the system. |
» unitCost |
string |
false |
none |
Represents the cost per unit of the asset part, essential for accurate budgeting and financial analysis within asset management. |
» serialNumber |
string |
false |
none |
Unique identifier for the asset part, facilitating efficient tracking and management within the asset management system. |
» qrCode |
string |
false |
none |
Code for the qr |
» quantityOnHand |
integer(int64) |
false |
none |
Represents the current inventory level of the asset part, indicating the quantity available for use or sale. |
» reOrderPoint |
integer(int64) |
false |
none |
Reorder point indicates the inventory level at which new stock should be ordered to prevent stockouts and ensure continuous availability of asset parts. |
» size |
string |
false |
none |
Number of items per page |
» color |
string |
false |
none |
Represents the color attribute associated with the asset part, providing essential visual differentiation for inventory management and asset tracking. |
» weight |
string |
false |
none |
Represents the weight of the asset part, providing essential information for inventory management and logistics optimization. |
» length |
string |
false |
none |
Specifies the length of the asset part, providing essential information for inventory management and resource allocation. |
» width |
string |
false |
none |
Specifies the width dimension of the asset part, facilitating accurate representation and management of asset specifications. |
» height |
string |
false |
none |
Specifies the height of the asset part, providing essential dimensional information for inventory and asset management. |
» materialType |
string |
false |
none |
Type of the material |
» assetPartType |
string |
false |
none |
Type of the asset part |
» assetPartTypeId |
integer(int64) |
false |
none |
Unique identifier for the asset part type |
» assetPartManufacturer |
false |
none |
Data transfer object representing the manufacturer details of an asset part, including essential identification and classification information to facilitate inventory management and procurement processes. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» name |
string |
false |
none |
Name of the resource |
»» assetParts |
false |
none |
An array of asset parts, represented by AssetPartManufacturerDTO, that details the components associated with each asset for effective inventory and resource management. |
|
» variableQuantity |
integer(int64) |
false |
none |
Quantity of variable quantity |
» assetPartAvailable |
boolean |
false |
none |
Indicates whether the specific asset part is currently available for allocation or use within the system. |
» owner |
integer(int64) |
false |
none |
Unique identifier for the owner of the asset part, facilitating asset management and accountability within the system. |
» ownerDto |
false |
none |
Data transfer object representing a user profile within the system, encapsulating essential user information and attributes for effective management and interaction across business applications. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» userName |
string |
false |
none |
Name of the user |
»» firstName |
string |
false |
none |
Name of the first |
»» lastName |
string |
false |
none |
Name of the last |
string |
false |
none |
Email address of the user, used for communication and account verification purposes within the system. |
|
»» roleIds |
false |
none |
Array of unique identifiers representing the roles assigned to the user, facilitating role-based access and permissions within the system. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»»» modifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
»»» roleName |
string |
false |
none |
Name of the role |
»»» entity |
string |
false |
none |
Represents the specific role associated with the entity within the organizational structure, facilitating effective resource allocation and management. |
»»» new |
boolean |
false |
none |
Indicates whether the role is newly created within the system, facilitating effective management of organizational changes. |
»» internalTeamNames |
[string] |
false |
none |
List of names representing the internal teams associated with the user, facilitating effective collaboration and resource allocation within the organization. |
»» internalTeamIds |
[integer] |
false |
none |
An array of unique identifiers representing the internal teams associated with the user, facilitating team management and collaboration within the organization. |
»» internalTeamDisplayIds |
[string] |
false |
none |
An array of unique identifiers representing the internal teams associated with the user, facilitating streamlined team management and collaboration. |
»» premiseIds |
[integer] |
false |
none |
Array of unique identifiers representing the premises associated with the user, facilitating efficient management and tracking of user-related locations. |
»» premiseNames |
[string] |
false |
none |
List of names associated with the user’s premises, providing essential context for location-based services and operations. |
»» userAvailable |
boolean |
false |
none |
Indicates whether the user is available for assignment or engagement within the system. |
»» temporaryWorkload |
integer(int32) |
false |
none |
Represents the temporary workload allocation for the user, measured in integer units, to facilitate effective resource management and planning. |
»» preferredCultureCode |
string |
false |
none |
Code for the preferred culture |
» ownerUserName |
string |
false |
none |
Name of the owner user |
» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
» isPartsSufficient |
boolean |
false |
none |
Whether the resource is parts sufficient |
Create Asset Part¶
HTTP Request
POST /api/assetParts
📋 Description: Creates new asset parts within the system, enabling efficient management and tracking of inventory components essential for operational continuity.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the asset part details, including specifications and associated metadata, necessary for inventory management and tracking. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Assign Work Order To Asset Part¶
HTTP Request
POST /api/assetParts/{id}/workOrders/{workOrderId}/{quantity}
📋 Description: Creates a specified quantity of work orders for a designated asset part, facilitating efficient management of maintenance and operational tasks.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
workOrderId |
path |
integer(int64) |
true |
Unique identifier for the work order |
quantity |
path |
integer(int64) |
true |
Quantity value |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
integer |
Example Responses
10
Get Vendor By ID¶
HTTP Request
GET /api/assetParts/{id}/vendors/{vendorId}
📋 Description: Retrieves vendor details associated with a specific asset part, enabling users to access critical supplier information for effective asset management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
vendorId |
path |
integer(int64) |
true |
Unique identifier for the vendor |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "address": "string",
9 "contractEndDate": "2019-08-24",
10 "services": "string",
11 "vendorType": "string",
12 "vendorStatusId": 0,
13 "vendorStatus": "string",
14 "vendorStatusType": "string",
15 "businessTypeId": 0,
16 "businessType": "string",
17 "vendorRateId": 0,
18 "vendorRate": "string",
19 "vendorContactIds": [
20 0
21 ],
22 "premiseIds": [
23 0
24 ],
25 "firstPremiseDisplayId": "string",
26 "ownerUserName": "string",
27 "ownerDto": {
28 "id": 0,
29 "createdBy": "string",
30 "createdAt": "2019-08-24T14:15:22Z",
31 "userName": "string",
32 "firstName": "string",
33 "lastName": "string",
34 "email": "string",
35 "roleIds": [
36 {
37 "id": 0,
38 "createdBy": "string",
39 "createdAt": "2019-08-24T14:15:22Z",
40 "modifiedBy": "string",
41 "modifiedAt": "2019-08-24T14:15:22Z",
42 "roleName": "string",
43 "entity": "string",
44 "new": true
45 }
46 ],
47 "internalTeamNames": [
48 "string"
49 ],
50 "internalTeamIds": [
51 0
52 ],
53 "internalTeamDisplayIds": [
54 "string"
55 ],
56 "premiseIds": [
57 0
58 ],
59 "premiseNames": [
60 "string"
61 ],
62 "userAvailable": true,
63 "temporaryWorkload": 0,
64 "preferredCultureCode": "string"
65 },
66 "vendorAvailable": true,
67 "vendorRating": 0.1,
68 "premiseDisplayIds": [
69 "string"
70 ]
71}
Assign Vendor To Asset Part¶
HTTP Request
POST /api/assetParts/{id}/vendors/{vendorId}
📋 Description: Associates a specified vendor with a designated asset part, enabling streamlined management of vendor relationships and asset maintenance.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
vendorId |
path |
integer(int64) |
true |
Unique identifier for the vendor |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Detach Vendor From Asset Part¶
HTTP Request
DELETE /api/assetParts/{id}/vendors/{vendorId}
📋 Description: Deletes the association between a specified asset part and its vendor, streamlining vendor management and ensuring accurate asset tracking within the system.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
vendorId |
path |
integer(int64) |
true |
Unique identifier for the vendor |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Get Main Assets By ID¶
HTTP Request
GET /api/assetParts/{id}/mainAssets/{mainAssetId}
📋 Description: Fetches the details of a specific main asset associated with a given asset part, enabling users to access critical information for asset management and decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
mainAssetId |
path |
integer(int64) |
true |
Unique identifier for the main asset |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "qrCode": "string",
9 "barCode": "string",
10 "imageId": 0,
11 "model": "string",
12 "manufacturer": "string",
13 "serialNumber": "string",
14 "cost": "81.08",
15 "premiseId": 0,
16 "premiseDisplayId": "string",
17 "premiseDto": {
18 "id": 0,
19 "createdBy": "string",
20 "createdAt": "2019-08-24T14:15:22Z",
21 "displayId": "string",
22 "premiseName": "string",
23 "description": "string",
24 "address": "string",
25 "internalTeamNames": [
26 "string"
27 ],
28 "internalTeamIds": [
29 0
30 ],
31 "premiseAvailable": true,
32 "premiseFromNrm": true,
33 "nlmId": 0,
34 "nlmDisplayId": "string",
35 "nlmUsed": true,
36 "manager": 0,
37 "managerName": "string",
38 "imageId": 0,
39 "area": "string",
40 "modifiedAt": "2019-08-24T14:15:22Z"
41 },
42 "acquisitionDate": "2019-08-24",
43 "endOfLife": "2019-08-24",
44 "assetStatusId": 0,
45 "assetStatus": "string",
46 "assetStatusType": "string",
47 "parentAssetId": 0,
48 "parentAssetDisplayId": "string",
49 "parentAsset": "string",
50 "parentAssetDto": {
51 "id": 0,
52 "createdBy": "string",
53 "createdAt": "2019-08-24T14:15:22Z",
54 "displayId": "string",
55 "name": "string",
56 "description": "string",
57 "qrCode": "string",
58 "barCode": "string",
59 "imageId": 0,
60 "model": "string",
61 "manufacturer": "string",
62 "serialNumber": "string",
63 "cost": "81.08",
64 "premiseId": 0,
65 "premiseDisplayId": "string",
66 "premiseDto": {
67 "id": 0,
68 "createdBy": "string",
69 "createdAt": "2019-08-24T14:15:22Z",
70 "displayId": "string",
71 "premiseName": "string",
72 "description": "string",
73 "address": "string",
74 "internalTeamNames": [
75 "string"
76 ],
77 "internalTeamIds": [
78 0
79 ],
80 "premiseAvailable": true,
81 "premiseFromNrm": true,
82 "nlmId": 0,
83 "nlmDisplayId": "string",
84 "nlmUsed": true,
85 "manager": 0,
86 "managerName": "string",
87 "imageId": 0,
88 "area": "string",
89 "modifiedAt": "2019-08-24T14:15:22Z"
90 },
91 "acquisitionDate": "2019-08-24",
92 "endOfLife": "2019-08-24",
93 "assetStatusId": 0,
94 "assetStatus": "string",
95 "assetStatusType": "string",
96 "parentAssetId": 0,
97 "parentAssetDisplayId": "string",
98 "parentAsset": "string",
99 "parentAssetDto": {},
100 "upcomingMaintenanceDate": "2019-08-24",
101 "assetCategoryIds": [
102 0
103 ],
104 "assetCategories": [
105 "string"
106 ],
107 "internalTeamIds": [
108 0
109 ],
110 "internalTeamDtos": [
111 {
112 "id": 0,
113 "createdBy": "string",
114 "createdAt": "2019-08-24T14:15:22Z",
115 "displayId": "string",
116 "name": "string",
117 "email": "string",
118 "phone": "string",
119 "manager": "string",
120 "requestCategoryName": [
121 "string"
122 ],
123 "requestCategoryId": [
124 0
125 ],
126 "requestCategoryDisplayId": [
127 "string"
128 ],
129 "description": "string",
130 "internalTeamUser": [
131 0
132 ],
133 "members": 0,
134 "mainAssets": [
135 0
136 ],
137 "premiseNames": [
138 "string"
139 ],
140 "internalTeamAvailable": true,
141 "premiseIds": [
142 0
143 ]
144 }
145 ],
146 "internalTeams": [
147 "string"
148 ],
149 "assignedUserIds": [
150 0
151 ],
152 "assignedUserDtos": [
153 {
154 "id": 0,
155 "createdBy": "string",
156 "createdAt": "2019-08-24T14:15:22Z",
157 "userName": "string",
158 "firstName": "string",
159 "lastName": "string",
160 "email": "string",
161 "roleIds": [
162 {
163 "id": 0,
164 "createdBy": "string",
165 "createdAt": "2019-08-24T14:15:22Z",
166 "modifiedBy": "string",
167 "modifiedAt": "2019-08-24T14:15:22Z",
168 "roleName": "string",
169 "entity": "string",
170 "new": true
171 }
172 ],
173 "internalTeamNames": [
174 "string"
175 ],
176 "internalTeamIds": [
177 0
178 ],
179 "internalTeamDisplayIds": [
180 "string"
181 ],
182 "premiseIds": [
183 0
184 ],
185 "premiseNames": [
186 "string"
187 ],
188 "userAvailable": true,
189 "temporaryWorkload": 0,
190 "preferredCultureCode": "string"
191 }
192 ],
193 "assignedUsers": [
194 "string"
195 ],
196 "assetPriority": "string",
197 "assetPriorityId": 0,
198 "assetPriorityDisplayId": "string",
199 "assetPriorityType": "string",
200 "assetAvailable": true,
201 "exactPlacement": "string",
202 "fosId": 0,
203 "downtimeStatus": "string",
204 "premiseFromNrm": true,
205 "modifiedAt": "2019-08-24T14:15:22Z"
206 },
207 "upcomingMaintenanceDate": "2019-08-24",
208 "assetCategoryIds": [
209 0
210 ],
211 "assetCategories": [
212 "string"
213 ],
214 "internalTeamIds": [
215 0
216 ],
217 "internalTeamDtos": [
218 {
219 "id": 0,
220 "createdBy": "string",
221 "createdAt": "2019-08-24T14:15:22Z",
222 "displayId": "string",
223 "name": "string",
224 "email": "string",
225 "phone": "string",
226 "manager": "string",
227 "requestCategoryName": [
228 "string"
229 ],
230 "requestCategoryId": [
231 0
232 ],
233 "requestCategoryDisplayId": [
234 "string"
235 ],
236 "description": "string",
237 "internalTeamUser": [
238 0
239 ],
240 "members": 0,
241 "mainAssets": [
242 0
243 ],
244 "premiseNames": [
245 "string"
246 ],
247 "internalTeamAvailable": true,
248 "premiseIds": [
249 0
250 ]
251 }
252 ],
253 "internalTeams": [
254 "string"
255 ],
256 "assignedUserIds": [
257 0
258 ],
259 "assignedUserDtos": [
260 {
261 "id": 0,
262 "createdBy": "string",
263 "createdAt": "2019-08-24T14:15:22Z",
264 "userName": "string",
265 "firstName": "string",
266 "lastName": "string",
267 "email": "string",
268 "roleIds": [
269 {
270 "id": 0,
271 "createdBy": "string",
272 "createdAt": "2019-08-24T14:15:22Z",
273 "modifiedBy": "string",
274 "modifiedAt": "2019-08-24T14:15:22Z",
275 "roleName": "string",
276 "entity": "string",
277 "new": true
278 }
279 ],
280 "internalTeamNames": [
281 "string"
282 ],
283 "internalTeamIds": [
284 0
285 ],
286 "internalTeamDisplayIds": [
287 "string"
288 ],
289 "premiseIds": [
290 0
291 ],
292 "premiseNames": [
293 "string"
294 ],
295 "userAvailable": true,
296 "temporaryWorkload": 0,
297 "preferredCultureCode": "string"
298 }
299 ],
300 "assignedUsers": [
301 "string"
302 ],
303 "assetPriority": "string",
304 "assetPriorityId": 0,
305 "assetPriorityDisplayId": "string",
306 "assetPriorityType": "string",
307 "assetAvailable": true,
308 "exactPlacement": "string",
309 "fosId": 0,
310 "downtimeStatus": "string",
311 "premiseFromNrm": true,
312 "modifiedAt": "2019-08-24T14:15:22Z"
313}
Assign Asset Part To Main Asset¶
HTTP Request
POST /api/assetParts/{id}/mainAssets/{mainAssetId}
📋 Description: Associates a specified main asset with a designated asset part, enabling streamlined asset management and improved resource allocation within your organization.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
mainAssetId |
path |
integer(int64) |
true |
Unique identifier for the main asset |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Detach Asset Part From Main Asset¶
HTTP Request
DELETE /api/assetParts/{id}/mainAssets/{mainAssetId}
📋 Description: Deletes the specified main asset associated with a particular asset part, ensuring the integrity of asset management by removing outdated or unnecessary links.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
mainAssetId |
path |
integer(int64) |
true |
Unique identifier for the main asset |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Get Asset Parts¶
HTTP Request
POST /api/assetParts/search
📋 Description: Submits a request to search for specific asset parts within the inventory, enabling users to efficiently locate and manage resources based on defined criteria.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the asset parts search should be returned in a paginated format, facilitating efficient data retrieval and management. |
|
body |
body |
true |
Request body containing search criteria and filters for asset parts, enabling efficient retrieval of relevant inventory information. |
Body Parameters
1{
2 "displayIdLike": "string",
3 "nameLike": "string",
4 "modelLike": "string",
5 "materialTypeLike": "string",
6 "assetPartAvailable": true,
7 "assetPartTypeIdIn": [
8 0
9 ],
10 "attachToAssetIdIn": [
11 0
12 ],
13 "attachToAssetIdNotIn": [
14 0
15 ],
16 "attachToWorkOrderIdIn": [
17 0
18 ],
19 "attachToWorkOrderIdNotIn": [
20 0
21 ],
22 "attachToVendorIdIn": [
23 0
24 ],
25 "attachToVendorIdNotIn": [
26 0
27 ],
28 "assetPremisesId": "string",
29 "premisesIdIn": [
30 0
31 ]
32}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "paged": true,
6 "unpaged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "createdBy": "string",
24 "createdAt": "2019-08-24T14:15:22Z",
25 "displayId": "string",
26 "name": "string",
27 "description": "string",
28 "imageId": 0,
29 "premiseId": 0,
30 "premiseDisplayId": "string",
31 "premiseDto": {
32 "id": 0,
33 "createdBy": "string",
34 "createdAt": "2019-08-24T14:15:22Z",
35 "displayId": "string",
36 "premiseName": "string",
37 "description": "string",
38 "address": "string",
39 "internalTeamNames": [
40 "string"
41 ],
42 "internalTeamIds": [
43 0
44 ],
45 "premiseAvailable": true,
46 "premiseFromNrm": true,
47 "nlmId": 0,
48 "nlmDisplayId": "string",
49 "nlmUsed": true,
50 "manager": 0,
51 "managerName": "string",
52 "imageId": 0,
53 "area": "string",
54 "modifiedAt": "2019-08-24T14:15:22Z"
55 },
56 "premiseFromNrm": true,
57 "model": "string",
58 "unitCost": "67.08",
59 "serialNumber": "string",
60 "qrCode": "string",
61 "quantityOnHand": 0,
62 "reOrderPoint": 0,
63 "size": "string",
64 "color": "string",
65 "weight": "24.08",
66 "length": "11.5",
67 "width": "16.9",
68 "height": "12.3",
69 "materialType": "string",
70 "assetPartType": "string",
71 "assetPartTypeId": 0,
72 "assetPartManufacturer": {
73 "id": 0,
74 "createdBy": "string",
75 "createdAt": "2019-08-24T14:15:22Z",
76 "name": "string",
77 "assetParts": [
78 {}
79 ]
80 },
81 "variableQuantity": 0,
82 "assetPartAvailable": true,
83 "owner": 0,
84 "ownerDto": {
85 "id": 0,
86 "createdBy": "string",
87 "createdAt": "2019-08-24T14:15:22Z",
88 "userName": "string",
89 "firstName": "string",
90 "lastName": "string",
91 "email": "string",
92 "roleIds": [
93 {
94 "id": 0,
95 "createdBy": "string",
96 "createdAt": "2019-08-24T14:15:22Z",
97 "modifiedBy": "string",
98 "modifiedAt": "2019-08-24T14:15:22Z",
99 "roleName": "string",
100 "entity": "string",
101 "new": true
102 }
103 ],
104 "internalTeamNames": [
105 "string"
106 ],
107 "internalTeamIds": [
108 0
109 ],
110 "internalTeamDisplayIds": [
111 "string"
112 ],
113 "premiseIds": [
114 0
115 ],
116 "premiseNames": [
117 "string"
118 ],
119 "userAvailable": true,
120 "temporaryWorkload": 0,
121 "preferredCultureCode": "string"
122 },
123 "ownerUserName": "string",
124 "modifiedAt": "2019-08-24T14:15:22Z",
125 "isPartsSufficient": true
126 }
127 ],
128 "number": 0,
129 "sort": {
130 "unsorted": true,
131 "sorted": true,
132 "empty": true
133 },
134 "empty": true
135}
Copy Asset Part¶
HTTP Request
POST /api/assetParts/copyAssetPart/{id}
📋 Description: Copies an existing asset part identified by the specified ID, allowing for efficient duplication of asset configurations within the system. This operation streamlines asset management processes by facilitating the quick replication of asset components.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
name |
query |
string |
true |
Name of the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "description": "string",
8 "imageId": 0,
9 "premiseId": 0,
10 "premiseDisplayId": "string",
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "model": "string",
38 "unitCost": "67.08",
39 "serialNumber": "string",
40 "qrCode": "string",
41 "quantityOnHand": 0,
42 "reOrderPoint": 0,
43 "size": "string",
44 "color": "string",
45 "weight": "24.08",
46 "length": "11.5",
47 "width": "16.9",
48 "height": "12.3",
49 "materialType": "string",
50 "assetPartType": "string",
51 "assetPartTypeId": 0,
52 "assetPartManufacturer": {
53 "id": 0,
54 "createdBy": "string",
55 "createdAt": "2019-08-24T14:15:22Z",
56 "name": "string",
57 "assetParts": [
58 {
59 "id": 0,
60 "createdBy": "string",
61 "createdAt": "2019-08-24T14:15:22Z",
62 "displayId": "string",
63 "name": "string",
64 "description": "string",
65 "imageId": 0,
66 "premiseId": 0,
67 "premiseDisplayId": "string",
68 "premiseDto": {
69 "id": 0,
70 "createdBy": "string",
71 "createdAt": "2019-08-24T14:15:22Z",
72 "displayId": "string",
73 "premiseName": "string",
74 "description": "string",
75 "address": "string",
76 "internalTeamNames": [
77 "string"
78 ],
79 "internalTeamIds": [
80 0
81 ],
82 "premiseAvailable": true,
83 "premiseFromNrm": true,
84 "nlmId": 0,
85 "nlmDisplayId": "string",
86 "nlmUsed": true,
87 "manager": 0,
88 "managerName": "string",
89 "imageId": 0,
90 "area": "string",
91 "modifiedAt": "2019-08-24T14:15:22Z"
92 },
93 "premiseFromNrm": true,
94 "model": "string",
95 "unitCost": "67.08",
96 "serialNumber": "string",
97 "qrCode": "string",
98 "quantityOnHand": 0,
99 "reOrderPoint": 0,
100 "size": "string",
101 "color": "string",
102 "weight": "24.08",
103 "length": "11.5",
104 "width": "16.9",
105 "height": "12.3",
106 "materialType": "string",
107 "assetPartType": "string",
108 "assetPartTypeId": 0,
109 "assetPartManufacturer": {},
110 "variableQuantity": 0,
111 "assetPartAvailable": true,
112 "owner": 0,
113 "ownerDto": {
114 "id": 0,
115 "createdBy": "string",
116 "createdAt": "2019-08-24T14:15:22Z",
117 "userName": "string",
118 "firstName": "string",
119 "lastName": "string",
120 "email": "string",
121 "roleIds": [
122 {
123 "id": 0,
124 "createdBy": "string",
125 "createdAt": "2019-08-24T14:15:22Z",
126 "modifiedBy": "string",
127 "modifiedAt": "2019-08-24T14:15:22Z",
128 "roleName": "string",
129 "entity": "string",
130 "new": true
131 }
132 ],
133 "internalTeamNames": [
134 "string"
135 ],
136 "internalTeamIds": [
137 0
138 ],
139 "internalTeamDisplayIds": [
140 "string"
141 ],
142 "premiseIds": [
143 0
144 ],
145 "premiseNames": [
146 "string"
147 ],
148 "userAvailable": true,
149 "temporaryWorkload": 0,
150 "preferredCultureCode": "string"
151 },
152 "ownerUserName": "string",
153 "modifiedAt": "2019-08-24T14:15:22Z",
154 "isPartsSufficient": true
155 }
156 ]
157 },
158 "variableQuantity": 0,
159 "assetPartAvailable": true,
160 "owner": 0,
161 "ownerDto": {
162 "id": 0,
163 "createdBy": "string",
164 "createdAt": "2019-08-24T14:15:22Z",
165 "userName": "string",
166 "firstName": "string",
167 "lastName": "string",
168 "email": "string",
169 "roleIds": [
170 {
171 "id": 0,
172 "createdBy": "string",
173 "createdAt": "2019-08-24T14:15:22Z",
174 "modifiedBy": "string",
175 "modifiedAt": "2019-08-24T14:15:22Z",
176 "roleName": "string",
177 "entity": "string",
178 "new": true
179 }
180 ],
181 "internalTeamNames": [
182 "string"
183 ],
184 "internalTeamIds": [
185 0
186 ],
187 "internalTeamDisplayIds": [
188 "string"
189 ],
190 "premiseIds": [
191 0
192 ],
193 "premiseNames": [
194 "string"
195 ],
196 "userAvailable": true,
197 "temporaryWorkload": 0,
198 "preferredCultureCode": "string"
199 },
200 "ownerUserName": "string",
201 "modifiedAt": "2019-08-24T14:15:22Z",
202 "isPartsSufficient": true
203}
Get All Work Orders By Asset Part ID¶
HTTP Request
GET /api/assetParts/{id}/workOrders
📋 Description: Fetches the work orders associated with a specific asset part, enabling users to track maintenance and operational activities linked to that asset.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdBy": "string",
5 "createdAt": "2019-08-24T14:15:22Z",
6 "displayId": "string",
7 "name": "string",
8 "imageId": 0,
9 "description": "string",
10 "vendorRating": 0,
11 "premiseId": 0,
12 "premiseDto": {
13 "id": 0,
14 "createdBy": "string",
15 "createdAt": "2019-08-24T14:15:22Z",
16 "displayId": "string",
17 "premiseName": "string",
18 "description": "string",
19 "address": "string",
20 "internalTeamNames": [
21 "string"
22 ],
23 "internalTeamIds": [
24 0
25 ],
26 "premiseAvailable": true,
27 "premiseFromNrm": true,
28 "nlmId": 0,
29 "nlmDisplayId": "string",
30 "nlmUsed": true,
31 "manager": 0,
32 "managerName": "string",
33 "imageId": 0,
34 "area": "string",
35 "modifiedAt": "2019-08-24T14:15:22Z"
36 },
37 "premiseFromNrm": true,
38 "premiseDisplayId": "string",
39 "nssProjectId": 0,
40 "nssTaskId": 0,
41 "nssTaskDisplayId": "string",
42 "orderDate": "2019-08-24",
43 "dueDate": "2019-08-24",
44 "startDate": "2019-08-24",
45 "endDate": "2019-08-24",
46 "startTime": {
47 "hour": 0,
48 "minute": 0,
49 "second": 0,
50 "nano": 0
51 },
52 "endTime": {
53 "hour": 0,
54 "minute": 0,
55 "second": 0,
56 "nano": 0
57 },
58 "modifiedAt": "2019-08-24T14:15:22Z",
59 "estimatedCost": "81.08",
60 "finalCost": "81.08",
61 "duration": 0,
62 "estimatedDayTime": 0,
63 "finalHourTime": "2.5",
64 "estimatedHourTime": "2.5",
65 "closeDate": "2019-08-24",
66 "inspection": "string",
67 "workOrderTypeId": 0,
68 "workOrderTypeName": "string",
69 "workOrderType": "string",
70 "workOrderPriorityId": 0,
71 "workOrderPriority": "string",
72 "workOrderPriorityType": "string",
73 "isTemplate": true,
74 "isWorkOrderTemplate": true,
75 "templateId": 0,
76 "isPartsInSufficient": true,
77 "partQuantityInfoList": [
78 {
79 "partId": 0,
80 "partDisplayId": "string",
81 "requestedQuantity": 0,
82 "availableQuantity": 0,
83 "usedQuantity": 0,
84 "sufficient": true,
85 "partial": true
86 }
87 ],
88 "parentWorkOrderId": 0,
89 "parentWorkOrderDisplayId": "string",
90 "parentWorkOrder": "string",
91 "mainAssetIds": [
92 0
93 ],
94 "mainAssetDto": {
95 "id": 0,
96 "createdBy": "string",
97 "createdAt": "2019-08-24T14:15:22Z",
98 "displayId": "string",
99 "name": "string",
100 "description": "string",
101 "qrCode": "string",
102 "barCode": "string",
103 "imageId": 0,
104 "model": "string",
105 "manufacturer": "string",
106 "serialNumber": "string",
107 "cost": "81.08",
108 "premiseId": 0,
109 "premiseDisplayId": "string",
110 "premiseDto": {
111 "id": 0,
112 "createdBy": "string",
113 "createdAt": "2019-08-24T14:15:22Z",
114 "displayId": "string",
115 "premiseName": "string",
116 "description": "string",
117 "address": "string",
118 "internalTeamNames": [
119 "string"
120 ],
121 "internalTeamIds": [
122 0
123 ],
124 "premiseAvailable": true,
125 "premiseFromNrm": true,
126 "nlmId": 0,
127 "nlmDisplayId": "string",
128 "nlmUsed": true,
129 "manager": 0,
130 "managerName": "string",
131 "imageId": 0,
132 "area": "string",
133 "modifiedAt": "2019-08-24T14:15:22Z"
134 },
135 "acquisitionDate": "2019-08-24",
136 "endOfLife": "2019-08-24",
137 "assetStatusId": 0,
138 "assetStatus": "string",
139 "assetStatusType": "string",
140 "parentAssetId": 0,
141 "parentAssetDisplayId": "string",
142 "parentAsset": "string",
143 "parentAssetDto": {},
144 "upcomingMaintenanceDate": "2019-08-24",
145 "assetCategoryIds": [
146 0
147 ],
148 "assetCategories": [
149 "string"
150 ],
151 "internalTeamIds": [
152 0
153 ],
154 "internalTeamDtos": [
155 {
156 "id": 0,
157 "createdBy": "string",
158 "createdAt": "2019-08-24T14:15:22Z",
159 "displayId": "string",
160 "name": "string",
161 "email": "string",
162 "phone": "string",
163 "manager": "string",
164 "requestCategoryName": [
165 "string"
166 ],
167 "requestCategoryId": [
168 0
169 ],
170 "requestCategoryDisplayId": [
171 "string"
172 ],
173 "description": "string",
174 "internalTeamUser": [
175 0
176 ],
177 "members": 0,
178 "mainAssets": [
179 0
180 ],
181 "premiseNames": [
182 "string"
183 ],
184 "internalTeamAvailable": true,
185 "premiseIds": [
186 0
187 ]
188 }
189 ],
190 "internalTeams": [
191 "string"
192 ],
193 "assignedUserIds": [
194 0
195 ],
196 "assignedUserDtos": [
197 {
198 "id": 0,
199 "createdBy": "string",
200 "createdAt": "2019-08-24T14:15:22Z",
201 "userName": "string",
202 "firstName": "string",
203 "lastName": "string",
204 "email": "string",
205 "roleIds": [
206 {
207 "id": 0,
208 "createdBy": "string",
209 "createdAt": "2019-08-24T14:15:22Z",
210 "modifiedBy": "string",
211 "modifiedAt": "2019-08-24T14:15:22Z",
212 "roleName": "string",
213 "entity": "string",
214 "new": true
215 }
216 ],
217 "internalTeamNames": [
218 "string"
219 ],
220 "internalTeamIds": [
221 0
222 ],
223 "internalTeamDisplayIds": [
224 "string"
225 ],
226 "premiseIds": [
227 0
228 ],
229 "premiseNames": [
230 "string"
231 ],
232 "userAvailable": true,
233 "temporaryWorkload": 0,
234 "preferredCultureCode": "string"
235 }
236 ],
237 "assignedUsers": [
238 "string"
239 ],
240 "assetPriority": "string",
241 "assetPriorityId": 0,
242 "assetPriorityDisplayId": "string",
243 "assetPriorityType": "string",
244 "assetAvailable": true,
245 "exactPlacement": "string",
246 "fosId": 0,
247 "downtimeStatus": "string",
248 "premiseFromNrm": true,
249 "modifiedAt": "2019-08-24T14:15:22Z"
250 },
251 "mainAssetDisplayId": "string",
252 "workOrderStatusId": 0,
253 "workOrderStatus": "string",
254 "workOrderStatusType": "string",
255 "requestIds": [
256 0
257 ],
258 "internalTeamIds": [
259 0
260 ],
261 "internalTeamDtos": [
262 {
263 "id": 0,
264 "createdBy": "string",
265 "createdAt": "2019-08-24T14:15:22Z",
266 "displayId": "string",
267 "name": "string",
268 "email": "string",
269 "phone": "string",
270 "manager": "string",
271 "requestCategoryName": [
272 "string"
273 ],
274 "requestCategoryId": [
275 0
276 ],
277 "requestCategoryDisplayId": [
278 "string"
279 ],
280 "description": "string",
281 "internalTeamUser": [
282 0
283 ],
284 "members": 0,
285 "mainAssets": [
286 0
287 ],
288 "premiseNames": [
289 "string"
290 ],
291 "internalTeamAvailable": true,
292 "premiseIds": [
293 0
294 ]
295 }
296 ],
297 "internalTeams": [
298 "string"
299 ],
300 "vendorId": 0,
301 "vendorDto": {
302 "id": 0,
303 "createdBy": "string",
304 "createdAt": "2019-08-24T14:15:22Z",
305 "displayId": "string",
306 "name": "string",
307 "description": "string",
308 "address": "string",
309 "contractEndDate": "2019-08-24",
310 "services": "string",
311 "vendorType": "string",
312 "vendorStatusId": 0,
313 "vendorStatus": "string",
314 "vendorStatusType": "string",
315 "businessTypeId": 0,
316 "businessType": "string",
317 "vendorRateId": 0,
318 "vendorRate": "string",
319 "vendorContactIds": [
320 0
321 ],
322 "premiseIds": [
323 0
324 ],
325 "firstPremiseDisplayId": "string",
326 "ownerUserName": "string",
327 "ownerDto": {
328 "id": 0,
329 "createdBy": "string",
330 "createdAt": "2019-08-24T14:15:22Z",
331 "userName": "string",
332 "firstName": "string",
333 "lastName": "string",
334 "email": "string",
335 "roleIds": [
336 {
337 "id": 0,
338 "createdBy": "string",
339 "createdAt": "2019-08-24T14:15:22Z",
340 "modifiedBy": "string",
341 "modifiedAt": "2019-08-24T14:15:22Z",
342 "roleName": "string",
343 "entity": "string",
344 "new": true
345 }
346 ],
347 "internalTeamNames": [
348 "string"
349 ],
350 "internalTeamIds": [
351 0
352 ],
353 "internalTeamDisplayIds": [
354 "string"
355 ],
356 "premiseIds": [
357 0
358 ],
359 "premiseNames": [
360 "string"
361 ],
362 "userAvailable": true,
363 "temporaryWorkload": 0,
364 "preferredCultureCode": "string"
365 },
366 "vendorAvailable": true,
367 "vendorRating": 0.1,
368 "premiseDisplayIds": [
369 "string"
370 ]
371 },
372 "vendorName": "string",
373 "workOrderTemplateSettings": {
374 "id": 0,
375 "createdBy": "string",
376 "createdAt": "2019-08-24T14:15:22Z",
377 "workOrderId": 0,
378 "startDate": "2019-08-24",
379 "dueDuration": 0,
380 "dueMonths": 0,
381 "endDate": "2019-08-24",
382 "recurringWOPriorityId": 0,
383 "recurringWOPriority": "string",
384 "recurringWOPriorityType": "string",
385 "isTemplate": true,
386 "isRemoveByDate": true,
387 "triggerByWorkOrderStatusId": 0,
388 "triggerByWorkOrderStatus": "string",
389 "triggerByWorkOrderStatusType": "string",
390 "removeByWorkOrderStatusId": 0,
391 "removeByWorkOrderStatus": "string",
392 "removeByWorkOrderStatusType": "string"
393 },
394 "assignedUserIds": [
395 0
396 ],
397 "assignedUserDtos": [
398 {
399 "id": 0,
400 "createdBy": "string",
401 "createdAt": "2019-08-24T14:15:22Z",
402 "userName": "string",
403 "firstName": "string",
404 "lastName": "string",
405 "email": "string",
406 "roleIds": [
407 {
408 "id": 0,
409 "createdBy": "string",
410 "createdAt": "2019-08-24T14:15:22Z",
411 "modifiedBy": "string",
412 "modifiedAt": "2019-08-24T14:15:22Z",
413 "roleName": "string",
414 "entity": "string",
415 "new": true
416 }
417 ],
418 "internalTeamNames": [
419 "string"
420 ],
421 "internalTeamIds": [
422 0
423 ],
424 "internalTeamDisplayIds": [
425 "string"
426 ],
427 "premiseIds": [
428 0
429 ],
430 "premiseNames": [
431 "string"
432 ],
433 "userAvailable": true,
434 "temporaryWorkload": 0,
435 "preferredCultureCode": "string"
436 }
437 ],
438 "assignedUsers": [
439 "string"
440 ],
441 "variableQuantity": 0,
442 "workOrderAvailable": true,
443 "exactPlacement": "string",
444 "primaryWorkOrderId": 0,
445 "primaryWorkOrderDto": {},
446 "primaryWorkOrderDisplayId": "string",
447 "isPrimary": true,
448 "invoiceIds": [
449 0
450 ],
451 "createdByTrigger": true,
452 "internalCosts": "81.08",
453 "invoiceTotal": "81.08",
454 "partsTotal": "81.08",
455 "inspectionItemId": 0,
456 "partIdToAttach": 0
457 }
458]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a work order, encapsulating essential details such as task specifications, assigned resources, and status updates to facilitate efficient project management and operational workflow.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdBy |
string |
false |
none |
Username of who created this resource |
» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
» displayId |
string |
false |
none |
Unique identifier for the display |
» name |
string |
false |
none |
Name of the resource |
» imageId |
integer(int64) |
false |
none |
Unique identifier for the image |
» description |
string |
false |
none |
Description of the resource |
» vendorRating |
integer(int32) |
false |
none |
Represents the numerical rating assigned to a vendor, reflecting their performance and reliability in fulfilling work orders. |
» premiseId |
integer(int64) |
false |
none |
Unique identifier for the premise |
» premiseDto |
false |
none |
Data transfer object representing a premise, encapsulating essential details such as location, type, and associated attributes to facilitate effective decision-making in real estate and operational planning. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» premiseName |
string |
false |
none |
Name of the premise |
»» description |
string |
false |
none |
Description of the resource |
»» address |
string |
true |
none |
Represents the physical location associated with the premise, essential for logistics and service delivery. |
»» internalTeamNames |
[string] |
false |
none |
List of names representing the internal teams associated with the premise, facilitating streamlined collaboration and resource allocation within the organization. |
»» internalTeamIds |
[integer] |
false |
none |
List of unique identifiers representing the internal teams associated with the premise, facilitating streamlined collaboration and resource allocation. |
»» premiseAvailable |
boolean |
false |
none |
Indicates whether the premise is available for use within the specified context. |
»» premiseFromNrm |
boolean |
false |
none |
Indicates whether the premise is sourced from the National Resource Management (NRM) framework, facilitating compliance and reporting within environmental management processes. |
»» nlmId |
integer(int64) |
false |
none |
Unique identifier for the nlm |
»» nlmDisplayId |
string |
false |
none |
Unique identifier for the nlm display |
»» nlmUsed |
boolean |
false |
none |
Indicates whether the National Labor Market (NLM) resources have been utilized in the premise evaluation process. |
»» manager |
integer(int64) |
false |
none |
Unique identifier for the manager associated with the premise, facilitating effective organizational hierarchy and resource management. |
»» managerName |
string |
false |
none |
Name of the manager |
»» imageId |
integer(int64) |
false |
none |
Unique identifier for the image |
»» area |
string |
false |
none |
Represents the geographic area associated with the premise, providing essential context for location-based services and analysis. |
»» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
» premiseFromNrm |
boolean |
false |
none |
Indicates whether the work order is derived from the National Resource Management system. |
» premiseDisplayId |
string |
false |
none |
Unique identifier for the premise display |
» nssProjectId |
integer(int64) |
false |
none |
Unique identifier for the nss project |
» nssTaskId |
integer(int64) |
false |
none |
Unique identifier for the nss task |
» nssTaskDisplayId |
string |
false |
none |
Unique identifier for the nss task display |
» orderDate |
string(date) |
false |
none |
Date of the order |
» dueDate |
string(date) |
false |
none |
Due date of the resource |
» startDate |
string(date) |
false |
none |
Start date of the resource |
» endDate |
string(date) |
false |
none |
End date of the resource |
» startTime |
false |
none |
Data transfer object representing the local time settings relevant to business operations, ensuring accurate scheduling and time management across various regions. |
|
»» hour |
integer(int32) |
false |
none |
Represents the hour component of a time value, facilitating precise scheduling and time management within the application. |
»» minute |
integer(int32) |
false |
none |
Represents the minute component of a local time value, facilitating precise time tracking and scheduling within the application. |
»» second |
integer(int32) |
false |
none |
Represents the seconds component of a local time value, facilitating precise time tracking and scheduling within the application. |
»» nano |
integer(int32) |
false |
none |
Represents the nanosecond component of a local time value, facilitating precise time tracking and scheduling within the application. |
» endTime |
false |
none |
Data transfer object representing the local time settings relevant to business operations, ensuring accurate scheduling and time management across various regions. |
|
» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
» estimatedCost |
string |
false |
none |
Estimated cost associated with the work order, providing a financial projection for budgeting and resource allocation. |
» finalCost |
string |
false |
none |
The finalCost field represents the total cost associated with the completion of a work order, providing essential financial insights for project budgeting and resource allocation. |
» duration |
integer(int32) |
false |
none |
Represents the total time, in minutes, allocated for the completion of the work order. |
» estimatedDayTime |
integer(int32) |
false |
none |
Time of the estimated day |
» finalHourTime |
string |
false |
none |
Time of the final hour |
» estimatedHourTime |
string |
false |
none |
Time of the estimated hour |
» closeDate |
string(date) |
false |
none |
Date of the close |
» inspection |
string |
false |
none |
Describes the specific inspection details associated with the work order, ensuring clarity in task requirements and compliance standards. |
» workOrderTypeId |
integer(int64) |
false |
none |
Unique identifier for the work order type |
» workOrderTypeName |
string |
false |
none |
Name of the work order type |
» workOrderType |
string |
false |
none |
Type of the work order |
» workOrderPriorityId |
integer(int64) |
false |
none |
Unique identifier for the work order priority |
» workOrderPriority |
string |
false |
none |
Priority of the work order |
» workOrderPriorityType |
string |
false |
none |
Type of the work order priority |
» isTemplate |
boolean |
false |
none |
Whether the resource is template |
» isWorkOrderTemplate |
boolean |
false |
none |
Whether the resource is work order template |
» templateId |
integer(int64) |
false |
none |
Unique identifier for the template |
» isPartsInSufficient |
boolean |
false |
none |
Whether the resource is parts in sufficient |
» partQuantityInfoList |
false |
none |
List of quantities for each part associated with the work order, providing essential details for inventory management and resource allocation. |
|
»» partId |
integer(int64) |
false |
none |
Unique identifier for the part |
»» partDisplayId |
string |
false |
none |
Unique identifier for the part display |
»» requestedQuantity |
integer(int64) |
false |
none |
Quantity of requested quantity |
»» availableQuantity |
integer(int64) |
false |
none |
Quantity of available quantity |
»» usedQuantity |
integer(int64) |
false |
none |
Quantity of used quantity |
»» sufficient |
boolean |
false |
none |
Indicates whether the quantity of parts available meets the required threshold for operational needs. |
»» partial |
boolean |
false |
none |
Indicates whether the quantity of parts is partially fulfilled, providing insight into inventory status and order fulfillment. |
» parentWorkOrderId |
integer(int64) |
false |
none |
Unique identifier for the parent work order |
» parentWorkOrderDisplayId |
string |
false |
none |
Unique identifier for the parent work order display |
» parentWorkOrder |
string |
false |
none |
Identifier for the parent work order, establishing a hierarchical relationship within the work order management system. |
» mainAssetIds |
[integer] |
false |
none |
Array of unique identifiers for the primary assets associated with the work order, facilitating effective asset management and tracking. |
» mainAssetDto |
false |
none |
MainAssetDTO is a data transfer object that encapsulates key information about a primary asset within the organization, including its attributes, status, and associated metadata, facilitating effective asset management and decision-making. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» name |
string |
false |
none |
Name of the resource |
»» description |
string |
false |
none |
Description of the resource |
»» qrCode |
string |
false |
none |
Code for the qr |
»» barCode |
string |
false |
none |
Code for the bar |
»» imageId |
integer(int64) |
false |
none |
Unique identifier for the image |
»» model |
string |
false |
none |
Specifies the model associated with the main asset, providing essential context for asset classification and management. |
»» manufacturer |
string |
false |
none |
Name of the manufacturer associated with the asset, providing essential information for inventory management and supplier relations. |
»» serialNumber |
string |
false |
none |
Unique identifier for the asset, used to track and manage inventory within the system. |
»» cost |
string |
false |
none |
Represents the total cost associated with the main asset, providing essential financial information for budgeting and resource allocation. |
»» premiseId |
integer(int64) |
false |
none |
Unique identifier for the premise |
»» premiseDisplayId |
string |
false |
none |
Unique identifier for the premise display |
»» premiseDto |
false |
none |
Data transfer object representing a premise, encapsulating essential details such as location, type, and associated attributes to facilitate effective decision-making in real estate and operational planning. |
|
»» acquisitionDate |
string(date) |
false |
none |
Date of the acquisition |
»» endOfLife |
string(date) |
false |
none |
Indicates the end-of-life date for the asset, providing critical information for lifecycle management and planning. |
»» assetStatusId |
integer(int64) |
false |
none |
Unique identifier for the asset status |
»» assetStatus |
string |
false |
none |
Status of the asset |
»» assetStatusType |
string |
false |
none |
Type of the asset status |
»» parentAssetId |
integer(int64) |
false |
none |
Unique identifier for the parent asset |
»» parentAssetDisplayId |
string |
false |
none |
Unique identifier for the parent asset display |
»» parentAsset |
string |
false |
none |
Identifier for the parent asset associated with the main asset, facilitating hierarchical relationships within asset management. |
»» parentAssetDto |
false |
none |
MainAssetDTO is a data transfer object that encapsulates key information about a primary asset within the organization, including its attributes, status, and associated metadata, facilitating effective asset management and decision-making. |
|
»» upcomingMaintenanceDate |
string(date) |
false |
none |
Date of the upcoming maintenance |
»» assetCategoryIds |
[integer] |
false |
none |
Array of unique identifiers representing the categories to which the asset belongs, facilitating effective asset classification and management. |
»» assetCategories |
[string] |
false |
none |
Array of asset categories that classify the main assets within the system, facilitating better organization and management of asset data. |
»» internalTeamIds |
[integer] |
false |
none |
Array of unique identifiers representing the internal teams associated with the main asset, facilitating streamlined collaboration and resource allocation. |
»» internalTeamDtos |
false |
none |
An array of MainAssetDTO objects representing the internal teams associated with the asset, facilitating effective resource management and collaboration within the organization. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» name |
string |
false |
none |
Name of the resource |
string |
false |
none |
Email address of the internal team member, used for communication and notifications within the organization. |
|
»»» phone |
string |
false |
none |
Contact number for the internal team, facilitating communication and collaboration within the organization. |
»»» manager |
string |
false |
none |
Represents the name or identifier of the team manager responsible for overseeing the internal team. |
»»» requestCategoryName |
[string] |
false |
none |
Name of the request category |
»»» requestCategoryId |
[integer] |
false |
none |
Unique identifier for the request category |
»»» requestCategoryDisplayId |
[string] |
false |
none |
Unique identifier for the request category display |
»»» description |
string |
false |
none |
Description of the resource |
»»» internalTeamUser |
[integer] |
false |
none |
An array of InternalTeamDTO objects representing the users within the internal team, facilitating collaboration and resource management. |
»»» members |
integer(int32) |
false |
none |
Represents the total number of members within the internal team, providing insight into team size for resource allocation and management. |
»»» mainAssets |
[integer] |
false |
none |
An array of internal team assets that represent the key resources and capabilities utilized within the organization. |
»»» premiseNames |
[string] |
false |
none |
List of names associated with the premises relevant to the internal team, facilitating efficient identification and management of locations within the organization. |
»»» internalTeamAvailable |
boolean |
false |
none |
Indicates the availability of the internal team for project allocation and resource planning. |
»»» premiseIds |
[integer] |
false |
none |
Array of unique identifiers representing the premises associated with the internal team. |
»» internalTeams |
[string] |
false |
none |
An array of internal teams associated with the main asset, facilitating collaboration and resource allocation within the organization. |
»» assignedUserIds |
[integer] |
false |
none |
Array of unique identifiers representing users assigned to the main asset, facilitating effective resource management and accountability. |
»» assignedUserDtos |
false |
none |
Array of user assignments associated with the main asset, providing insights into resource allocation and accountability. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»»» userName |
string |
false |
none |
Name of the user |
»»» firstName |
string |
false |
none |
Name of the first |
»»» lastName |
string |
false |
none |
Name of the last |
string |
false |
none |
Email address of the user, used for communication and account verification purposes within the system. |
|
»»» roleIds |
false |
none |
Array of unique identifiers representing the roles assigned to the user, facilitating role-based access and permissions within the system. |
|
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»»»» modifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»»» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
»»»» roleName |
string |
false |
none |
Name of the role |
»»»» entity |
string |
false |
none |
Represents the specific role associated with the entity within the organizational structure, facilitating effective resource allocation and management. |
»»»» new |
boolean |
false |
none |
Indicates whether the role is newly created within the system, facilitating effective management of organizational changes. |
»»» internalTeamNames |
[string] |
false |
none |
List of names representing the internal teams associated with the user, facilitating effective collaboration and resource allocation within the organization. |
»»» internalTeamIds |
[integer] |
false |
none |
An array of unique identifiers representing the internal teams associated with the user, facilitating team management and collaboration within the organization. |
»»» internalTeamDisplayIds |
[string] |
false |
none |
An array of unique identifiers representing the internal teams associated with the user, facilitating streamlined team management and collaboration. |
»»» premiseIds |
[integer] |
false |
none |
Array of unique identifiers representing the premises associated with the user, facilitating efficient management and tracking of user-related locations. |
»»» premiseNames |
[string] |
false |
none |
List of names associated with the user’s premises, providing essential context for location-based services and operations. |
»»» userAvailable |
boolean |
false |
none |
Indicates whether the user is available for assignment or engagement within the system. |
»»» temporaryWorkload |
integer(int32) |
false |
none |
Represents the temporary workload allocation for the user, measured in integer units, to facilitate effective resource management and planning. |
»»» preferredCultureCode |
string |
false |
none |
Code for the preferred culture |
»» assignedUsers |
[string] |
false |
none |
List of users assigned to the main asset, facilitating effective resource management and collaboration within the organization. |
»» assetPriority |
string |
false |
none |
Priority of the asset |
»» assetPriorityId |
integer(int64) |
false |
none |
Unique identifier for the asset priority |
»» assetPriorityDisplayId |
string |
false |
none |
Unique identifier for the asset priority display |
»» assetPriorityType |
string |
false |
none |
Type of the asset priority |
»» assetAvailable |
boolean |
false |
none |
Indicates whether the asset is currently available for allocation or use within the system. |
»» exactPlacement |
string |
false |
none |
Specifies the precise location or context in which the main asset is intended to be utilized within the business framework. |
»» fosId |
integer(int64) |
false |
none |
Unique identifier for the fos |
»» downtimeStatus |
string |
false |
none |
Status of the downtime |
»» premiseFromNrm |
boolean |
false |
none |
Indicates whether the asset is sourced from the National Resource Management (NRM) framework, facilitating compliance and resource tracking. |
»» modifiedAt |
string(date-time) |
false |
none |
Timestamp when this resource was last modified |
» mainAssetDisplayId |
string |
false |
none |
Unique identifier for the main asset display |
» workOrderStatusId |
integer(int64) |
false |
none |
Unique identifier for the work order status |
» workOrderStatus |
string |
false |
none |
Status of the work order |
» workOrderStatusType |
string |
false |
none |
Type of the work order status |
» requestIds |
[integer] |
false |
none |
An array of unique identifiers for the associated work orders, facilitating tracking and management within the system. |
» internalTeamIds |
[integer] |
false |
none |
List of unique identifiers representing the internal teams associated with the work order, facilitating effective resource allocation and collaboration. |
» internalTeamDtos |
false |
none |
An array of WorkOrderDTO objects representing the internal teams associated with the work order, facilitating efficient resource allocation and management. |
|
» internalTeams |
[string] |
false |
none |
List of internal teams associated with the work order, facilitating collaboration and resource allocation within the organization. |
» vendorId |
integer(int64) |
false |
none |
Unique identifier for the vendor |
» vendorDto |
false |
none |
Data transfer object representing a vendor, encapsulating essential details such as vendor identification, contact information, and service offerings to facilitate effective supplier management and collaboration. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» name |
string |
false |
none |
Name of the resource |
»» description |
string |
false |
none |
Description of the resource |
»» address |
string |
false |
none |
Represents the physical location of the vendor, essential for logistical coordination and service delivery. |
»» contractEndDate |
string(date) |
false |
none |
Date of the contract end |
»» services |
string |
false |
none |
Represents the list of services offered by the vendor, essential for evaluating vendor capabilities and aligning them with business needs. |
»» vendorType |
string |
false |
none |
Type of the vendor |
»» vendorStatusId |
integer(int64) |
false |
none |
Unique identifier for the vendor status |
»» vendorStatus |
string |
false |
none |
Status of the vendor |
»» vendorStatusType |
string |
false |
none |
Type of the vendor status |
»» businessTypeId |
integer(int64) |
false |
none |
Unique identifier for the business type |
»» businessType |
string |
false |
none |
Type of the business |
»» vendorRateId |
integer(int64) |
false |
none |
Unique identifier for the vendor rate |
»» vendorRate |
string |
false |
none |
Rate of vendor |
»» vendorContactIds |
[integer] |
false |
none |
Array of unique identifiers for vendor contacts associated with the vendor, facilitating streamlined communication and management of vendor relationships. |
»» premiseIds |
[integer] |
false |
none |
Array of unique identifiers representing the premises associated with the vendor, facilitating streamlined management and tracking of vendor relationships. |
»» firstPremiseDisplayId |
string |
false |
none |
Unique identifier for the first premise display |
»» ownerUserName |
string |
false |
none |
Name of the owner user |
»» ownerDto |
false |
none |
Data transfer object representing a user profile within the system, encapsulating essential user information and attributes for effective management and interaction across business applications. |
|
»» vendorAvailable |
boolean |
false |
none |
Indicates whether the vendor is currently available for new engagements. |
»» vendorRating |
number(double) |
false |
none |
Numeric representation of the vendor’s performance rating, used to assess and compare vendor quality within the procurement process. |
»» premiseDisplayIds |
[string] |
false |
none |
Array of unique identifiers for the premises associated with the vendor, facilitating streamlined management and reference within the system. |
» vendorName |
string |
false |
none |
Name of the vendor |
» workOrderTemplateSettings |
false |
none |
Data transfer object representing the settings and configurations for work order templates, facilitating streamlined management and customization of work orders within the enterprise workflow. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
»» workOrderId |
integer(int64) |
false |
none |
Unique identifier for the work order |
»» startDate |
string(date) |
false |
none |
Start date of the resource |
»» dueDuration |
integer(int32) |
false |
none |
Specifies the duration, in minutes, for which a work order is due, facilitating effective scheduling and resource allocation. |
»» dueMonths |
integer(int32) |
false |
none |
Specifies the number of months until the work order is due, facilitating effective scheduling and resource allocation. |
»» endDate |
string(date) |
false |
none |
End date of the resource |
»» recurringWOPriorityId |
integer(int64) |
false |
none |
Unique identifier for the recurring w o priority |
»» recurringWOPriority |
string |
false |
none |
Priority of the recurring w o |
»» recurringWOPriorityType |
string |
false |
none |
Type of the recurring w o priority |
»» isTemplate |
boolean |
false |
none |
Whether the resource is template |
»» isRemoveByDate |
boolean |
false |
none |
Whether the resource is remove by |
»» triggerByWorkOrderStatusId |
integer(int64) |
false |
none |
Unique identifier for the trigger by work order status |
»» triggerByWorkOrderStatus |
string |
false |
none |
Status of the trigger by work order |
»» triggerByWorkOrderStatusType |
string |
false |
none |
Type of the trigger by work order status |
»» removeByWorkOrderStatusId |
integer(int64) |
false |
none |
Unique identifier for the remove by work order status |
»» removeByWorkOrderStatus |
string |
false |
none |
Status of the remove by work order |
»» removeByWorkOrderStatusType |
string |
false |
none |
Type of the remove by work order status |
» assignedUserIds |
[integer] |
false |
none |
Array of unique identifiers for users assigned to the work order, facilitating effective resource allocation and management. |
» assignedUserDtos |
false |
none |
Array of user assignments associated with the work order, providing visibility into the personnel responsible for its execution. |
|
» assignedUsers |
[string] |
false |
none |
[...]
